//
// FileName: OpaqueMenuBar.h
//
// Programmer: David Sowsy
//
// Purpose: To implement a BMenuItem derived class that doesn't have
//			problems with highlighting. 
// 
// Notes: We over-ride the Highlight method so we don't blend with
//		  it and have our transparency wiped out with a default color.
// Legal: OpaqueMenu Implementation © 1999 David Sowsy. 
// 
//        You can use this code free of charge, in any way, shape, 
//		  or form (commericially or non-commercially), provided you include 
//		  the following string in your program 'About' Requester and
//		  in your documentation: 		  
//			
//		  "OpaqueMenu Implementation ©1999 David Sowsy." 
// 
//        This code carries no warranties or guarantees of any kind. Use at your own risk.
#ifndef OPAQUE_MENU_BAR_HH
#define OPAQUE_MENU_BAR_HH

#include <MenuBar.h> 
#include "OpaqueMenu.h"

class OpaqueMenuBar : public BMenuBar
{
 public: 
 		OpaqueMenuBar(BRect frame, const char *title, uint32 resizeMask, menu_layout layout, bool resizeToFit); 
 		virtual void MouseDown(BPoint point);

};

#endif