//
// FileName: OpaqueMenuItem.h
//
// Programmer: David Sowsy
//
// Purpose: To implement a BMenuItem derived class that doesn't have
//			problems with highlighting. 
// 
// Notes: We over-ride the Highlight method so we don't blend with
//		  it and have our transparency wiped out with a default color.
// Legal: OpaqueMenu Implementation © 1999 David Sowsy. 
// 
//        You can use this code free of charge, in any way, shape, 
//		  or form (commericially or non-commercially), provided you include 
//		  the following string in your program 'About' Requester and
//		  in your documentation: 		  
//			
//		  "OpaqueMenu Implementation ©1999 David Sowsy." 
// 
//        This code carries no warranties or guarantees of any kind. Use at your own risk.

#include <Be.h> 

#ifndef OPAQUE_MENU_ITEM_HH
#define OPAQUE_MENU_ITEM_HH

class OpaqueMenuItem : public BMenuItem
{ 
 public: 
		 OpaqueMenuItem(const char *label, BMessage *message, char shortcut = 0, uint32 modifiers = 0); 
		// OpaqueMenuItem(BMenu *menu, BMessage *message = NULL);
		 virtual void Highlight(bool flag); 
};

#endif
